org.apache.jmeter.control

## Class TransactionSampler

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.samplers.AbstractSampler
    - - org.apache.jmeter.control.TransactionSampler

All Implemented Interfaces:
  Serializable, Cloneable, ConfigMergabilityIndicator, Searchable, Sampler, TestElement

    public class TransactionSampler
    extends AbstractSampler

Transaction Sampler class to measure transaction times (not exposed as a GUI class, as it is only used internally by TransactionController in Generate Parent sample mode)

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.jmeter.testelement.TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

### Constructor Summary

Constructors
Constructor and Description
`TransactionSampler()` Deprecated. only for use by test code
`TransactionSampler(TransactionController controller, String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addSubSamplerResult(SampleResult res)`
`boolean` `applies(ConfigTestElement configElement)` Does configElement apply to Sampler
`Sampler` `getSubSampler()`
`TransactionController` `getTransactionController()`
`SampleResult` `getTransactionResult()`
`boolean` `isTransactionDone()`
`SampleResult` `sample(Entry e)` One cannot sample the TransactionSampler directly.
`protected void` `setSubSampler(Sampler subSampler)`
`protected void` `setTransactionDone()`

### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.jmeter.testelement.TestElement

`addTestElement, canRemove, clear, clearTestElementChildren, clone, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, isEnabled, isRunningVersion, isTemporary, propertyIterator, recoverRunningVersion, removed, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse`

### Constructor Detail

#### TransactionSampler

    @Deprecated
    public TransactionSampler()

Deprecated. only for use by test code

#### TransactionSampler

    public TransactionSampler(TransactionController controller,
                              String name)

### Method Detail

#### sample

    public SampleResult sample(Entry e)

One cannot sample the TransactionSampler directly.

Parameters:
  `e` - the Entry (TODO seems to be unused)
Returns:
  information about the sample

#### getSubSampler

    public Sampler getSubSampler()

#### getTransactionResult

    public SampleResult getTransactionResult()

#### getTransactionController

    public TransactionController getTransactionController()

#### isTransactionDone

    public boolean isTransactionDone()

#### addSubSamplerResult

    public void addSubSamplerResult(SampleResult res)

#### setTransactionDone

    protected void setTransactionDone()

#### setSubSampler

    protected void setSubSampler(Sampler subSampler)

#### applies

    public boolean applies(ConfigTestElement configElement)

Description copied from class: `AbstractSampler`
Does configElement apply to Sampler

Specified by:
  `applies` in interface `ConfigMergabilityIndicator`
Overrides:
  `applies` in class `AbstractSampler`
Parameters:
  `configElement` - `ConfigTestElement`
Returns:
  boolean
See Also:
  `AbstractSampler.applies(org.apache.jmeter.config.ConfigTestElement)`